# $Revision: 1.17 $, $Date: 2011/11/28 09:27:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Quoted
Summary:	Text::Quoted - extract the structure of a quoted mail message
Summary(pl.UTF-8):	Text::Quoted - wydzielenie struktury cytowanej wiadomości pocztowej
Name:		perl-Text-Quoted
Version:	2.06
Release:	1
# Artistic (README says: same as perl)
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6ae8d3aa3a54c5f05bcd0c2313ebfa4d
URL:		http://search.cpan.org/dist/Text-Quoted/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Text-Autoformat
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Quoted Perl module examines the structure of some text which may
contain multiple different levels of quoting, and turns the text into
a nested data structure.

%description -l pl.UTF-8
Moduł Perla Text::Quoted analizuje strukturę pewnego tekstu, który
może zawierać wiele różnych poziomów cytowania i przekształca tekst w
zagnieżdżoną strukturę danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install\
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/Quoted.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Quoted.spec,v $
Revision 1.17  2011/11/28 09:27:40  arekm
- up to 2.06

Revision 1.16  2008/04/02 09:25:20  arekm
- up to 2.05

Revision 1.15  2008-01-03 12:56:02  qboosh
- generic URL

Revision 1.14  2007-12-31 00:07:57  zbyniu
- up to 2.03

Revision 1.13  2007-09-11 08:14:51  arekm
- up to 2.02

Revision 1.12  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.10  2004/11/03 22:30:50  paladine
- formatting

Revision 1.9  2004/08/08 19:32:04  radek
- release 2: fixed build (rm pm_to_blib & Makefile)

Revision 1.8  2004/08/08 17:03:22  adamg
- updated to 1.8

Revision 1.7  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.6  2004/05/03 01:34:54  ankry
- license fixes, cosmetics

Revision 1.5  2004/01/25 00:08:49  arekm
- autoupdated to 1.5

Revision 1.4  2003/12/07 20:03:56  migo
- up to 1.3
- fixed license, new bcond style

Revision 1.3  2003/10/16 22:10:59  radek
- BR: perl-Text-Autoformat for tests

Revision 1.2  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.1  2003/09/20 12:27:14  arekm
- initial pld release
